Package com.macrofocus.application

# Class SimpleVersionModel

java.lang.Object
com.macrofocus.application.SimpleVersionModel

All Implemented Interfaces:
  `VersionModel`, `Serializable`, `Comparable<VersionModel>`

public class SimpleVersionModel extends Object implements VersionModel, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build)`
  `SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build, NumberFormat majorNumberFormat, NumberFormat minorNumberFormat, NumberFormat patchNumberFormat, NumberFormat buildNumberFormat)`
  `SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build, Date releaseDate)`
  `SimpleVersionModel(String version)`
  `SimpleVersionModel(String version, Package p)`
  `SimpleVersionModel(String version, Date releaseDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VersionModel o)`
  `boolean`
  `equals(Object o)`
  `Integer`
  `getBuild()`
  `String`
  `getBuildString()`
  `Integer`
  `getMajor()`
  `String`
  `getMajorMinorPatchString()`
  `Integer`
  `getMinor()`
  `Integer`
  `getPatch()`
  `Date`
  `getReleaseDate()`
  `String`
  `getReleaseDateString()`
  `String`
  `getString()`
  `String`
  `getStringUnderscore()`
  `int`
  `hashCode()`
  `boolean`
  `isEqualOrHigher(VersionModel o)`
  `void`
  `setBuildNumberFormat(NumberFormat buildNumberFormat)`
  `void`
  `setMajorNumberFormat(NumberFormat majorNumberFormat)`
  `void`
  `setMinorNumberFormat(NumberFormat minorNumberFormat)`
  `void`
  `setPatchNumberFormat(NumberFormat patchNumberFormat)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleVersionModel

    public SimpleVersionModel(String version, Package p)

  - ### SimpleVersionModel

    public SimpleVersionModel(String version)

  - ### SimpleVersionModel

    public SimpleVersionModel(String version, Date releaseDate)

  - ### SimpleVersionModel

    public SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build)

  - ### SimpleVersionModel

    public SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build, Date releaseDate)

  - ### SimpleVersionModel

    public SimpleVersionModel(Integer major, Integer minor, Integer patch, Integer build, NumberFormat majorNumberFormat, NumberFormat minorNumberFormat, NumberFormat patchNumberFormat, NumberFormat buildNumberFormat)

- ## Method Details

  - ### getBuild

    public Integer getBuild()
    Specified by:
      `getBuild` in interface `VersionModel`

  - ### getMajor

    public Integer getMajor()
    Specified by:
      `getMajor` in interface `VersionModel`

  - ### getMinor

    public Integer getMinor()
    Specified by:
      `getMinor` in interface `VersionModel`

  - ### getPatch

    public Integer getPatch()
    Specified by:
      `getPatch` in interface `VersionModel`

  - ### getReleaseDate

    public Date getReleaseDate()
    Specified by:
      `getReleaseDate` in interface `VersionModel`

  - ### setMajorNumberFormat

    public void setMajorNumberFormat(NumberFormat majorNumberFormat)

  - ### setMinorNumberFormat

    public void setMinorNumberFormat(NumberFormat minorNumberFormat)

  - ### setPatchNumberFormat

    public void setPatchNumberFormat(NumberFormat patchNumberFormat)

  - ### setBuildNumberFormat

    public void setBuildNumberFormat(NumberFormat buildNumberFormat)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(VersionModel o)
    Specified by:
      `compareTo` in interface `Comparable<VersionModel>`

  - ### isEqualOrHigher

    public boolean isEqualOrHigher(VersionModel o)
    Specified by:
      `isEqualOrHigher` in interface `VersionModel`

  - ### getMajorMinorPatchString

    public String getMajorMinorPatchString()
    Specified by:
      `getMajorMinorPatchString` in interface `VersionModel`

  - ### getBuildString

    public String getBuildString()
    Specified by:
      `getBuildString` in interface `VersionModel`

  - ### getReleaseDateString

    public String getReleaseDateString()
    Specified by:
      `getReleaseDateString` in interface `VersionModel`

  - ### getString

    public String getString()
    Specified by:
      `getString` in interface `VersionModel`

  - ### getStringUnderscore

    public String getStringUnderscore()
    Specified by:
      `getStringUnderscore` in interface `VersionModel`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`